Bug 971536 - phatch fails to convert TIFF
phatch fails to convert TIFF
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: phatch (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: MoveUpstream, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 14:36 EDT by Vratislav Podzimek
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:39:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer action list (1.07 KB, application/x-phatch)
2013-06-06 14:36 EDT, Vratislav Podzimek
no flags Details
reproducer TIFF file (140.95 KB, image/tiff)
2013-06-06 14:37 EDT, Vratislav Podzimek
no flags Details

  None (edit)
Description Vratislav Podzimek 2013-06-06 14:36:58 EDT
Created attachment 757823 [details]
reproducer action list

Description of problem:
Running phatch with action list containing e.g. an action to save the photo in a JPEG format on TIFF files resuls in just the TIFF files copied to the output directory and errors/warnings.

Version-Release number of selected component (if applicable):
phatch-0.2.7-11.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. run phatch with an action list saving photos to e.g. JPEG on a directory containing TIFF files

Actual results:
TIFFs copied to the output directory

Expected results:
JPEGs created in the output directory

Additional info:
Here is the log of the error:

Warning 0:


Action:{'fields': {'As': u'<type>',
            'File Name': u'<filename>',
            'In': u'<desktop>/<foldername>_mensi/<subfolder>',
            'JPEG Quality': u'85',
            'JPEG Size Maximum': '0 kb',
            'JPEG Size Tolerance': '10 kb',
            'Metadata': 'yes',
            'PNG Optimize': 'no',
            'Resolution': u'<dpi>',
            'Show Type Options': 'no',
            'TIFF Compression': u'<compression>',
            '__enabled__': 'yes'},
 'label': 'Save'}

None
*
Comment 1 Vratislav Podzimek 2013-06-06 14:37:43 EDT
Created attachment 757824 [details]
reproducer TIFF file
Comment 2 Vratislav Podzimek 2013-06-06 14:38:41 EDT
Shall I run phatch with some special options so that I get some more information about the error?
Comment 3 Fedora End Of Life 2013-12-21 08:53:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:42:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jaromír Cápík 2014-02-21 17:08:16 EST
Ahoj Vráťo.

I get the following error in f20:
----------------------------------
Warning 0:Subprocess "tiffcp"
input:
['/usr/bin/tiffcp', '/tmp/tmpyCg37V', '-c', 'lzw', u'/home/jcapik/Desktop/971536_mensi/DSC_0116.tiff']
output:
LZWDecode: Corrupted LZW table at scanline 0.
/tmp/tmpyCg37V: Error, can't read strip 0.




Action:{'fields': {'As': u'<type>',
            'File Name': u'<filename>',
            'In': u'<desktop>/<foldername>_mensi/<subfolder>',
            'JPEG Quality': u'85',
            'JPEG Size Maximum': '0 kb',
            'JPEG Size Tolerance': '10 kb',
            'Metadata': 'yes',
            'PNG Optimize': 'no',
            'Resolution': u'<dpi>',
            'Show Type Options': 'no',
            'TIFF Compression': u'<compression>',
            '__enabled__': 'yes'},
 'label': 'Save'}

None
*
Comment 6 Jaromír Cápík 2014-02-21 17:35:41 EST
Now I see what's wrong. You somehow managed to change the <type> to jpeg and then switched it back to <type>. That's why all the JPEG configuration entries stayed preserved, but as it isn't a valid configuration, the conversion failed. It's questionable whether this is a bug or not as you asked the tool to convert TIFF to undefined type. I could imagine it to return a more understandable warning in this case ... so, keeping open.
Comment 7 Fedora End Of Life 2015-05-29 05:06:03 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 20:39:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.